# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ScheduledAction Class Reference

An action (either function or string) to be executed after a specified time interval, either once or repeatedly. More...

`#include <kjs_window.h>`

Collaboration diagram for KJS::ScheduledAction:

[legend]
List of all members.

## Public Member Functions

| ScheduledAction (Object _func, List _args, bool _singleShot)
| ScheduledAction (QString _code, bool _singleShot)
void | execute (Window *window)

## Public Attributes

ObjectImp | func
List | args
QString | code
bool | isFunction
bool | singleShot

## Detailed Description

An action (either function or string) to be executed after a specified time interval, either once or repeatedly.

Used for window.setTimeout() and window.setInterval()

Definition at line 159 of file kjs_window.h.

The documentation for this class was generated from the following files:

- kjs_window.h
- kjs_window.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001